%define	name	cdrecord
%define	version	1.9
%define	release	1
%define	serial	5
%define	prefix	/usr

%define	major	1.9

Summary:	A command line CD/DVD-Recorder
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Applications/Archiving
Vendor:		Joerg Schilling <schilling@fokus.gmd.de>
URL:		http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Source:		ftp://ftp.fokus.gmd.de/pub/unix/cdrecord/%{name}-%{version}.tar.gz
Patch0:		cdrecord-1.9-redhat.patch
BuildRoot:	/var/tmp/%{name}-%{version}

%description
Cdrecord allows you to create CD's on a CD-Recorder (SCSI/ATAPI).
Supports data, audio, mixed, multi-session and CD+ discs etc.

%package	devel
Summary:	The libschily SCSI user level transport library
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description	devel
The cdrecord distribution contains a SCSI user level transport
library.  The SCSI library is suitable to talk to any SCSI device
without having a special driver for it.

Cdrecord may be easily ported to any system that has a SCSI device
driver similar to the scg driver.

%package	cdda2wav
Summary:	Get WAV files from digital audio cd's
Group:		Applications/Sound
Obsoletes:	cdda2wav
Provides:	cdda2wav

%description	cdda2wav
A sampling utility for cdrom drives that are capable of sending audio
cd data in digital form to your host. Data can be dumped into wav or
sun format sound files. Options control the recording format (stereo/mono;
8,12,16 bits; different rates).

%package	mkisofs
Summary:	Creates a ISO9660 filesystem image
Group:		Applications/System
Obsoletes:	mkisofs, mkhybrid, cdrecord-mkhybrid
Provides:	mkisofs

%description	mkisofs
This is the mkisofs package.  It is used to create ISO 9660
file system images for creating CD-ROMs. Now includes support
for making bootable "El Torito" CD-ROMs.

%prep
%setup -q -n %{name}-%{major}
%patch0 -p1 -b .redhat

%build
gmake

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
gmake "INS_BASE=$RPM_BUILD_ROOT%{prefix}" install

# Installing Header files for use with devel package
rm include/scg
install -d $RPM_BUILD_ROOT%{prefix}/include/schily/scg
install -m 644 include/* $RPM_BUILD_ROOT%{prefix}/include/schily
install -m 644 incs/*/xconfig.h $RPM_BUILD_ROOT%{prefix}/include/schily
install -m 644 libscg/scg/* $RPM_BUILD_ROOT%{prefix}/include/schily/scg

# Installing default config.
mkdir -p $RPM_BUILD_ROOT/etc
install -m 644 cdrecord/cdrecord.dfl $RPM_BUILD_ROOT/etc/cdrecord.conf

## Preparing doc files for RPM
# cdrecord
{
  pushd doc
  groff -Tps -man cdrecord.man > cdrecord.ps
  popd
}

# cdrecord
mkdir cdrecord-rpmdocs
cp AN-%{version} doc/cdrecord.ps Changelog README* Linux.scsi-patch \
   cdrecord/cdrecord.dfl cdrecord-rpmdocs
chmod 644 cdrecord-rpmdocs/*

# cdda2wav
mkdir cdda2wav-rpmdocs
cp AN-%{version} cdda2wav/Frontends cdda2wav/GPL cdda2wav/HOWTOUSE \
   cdda2wav/OtherProgs cdda2wav/README cdda2wav/THANKS cdda2wav/TODO \
   cdda2wav/cdda2mp3 cdda2wav/cdda2mp3.new cdda2wav/cdda_links \
   cdda2wav/pitchplay cdda2wav/readmult cdda2wav/tracknames.pl \
   cdda2wav/tracknames.txt cdda2wav/FAQ \
   cdda2wav-rpmdocs
chmod 644 cdda2wav-rpmdocs/*

# mkisofs
mkdir mkisofs-rpmdocs
cp AN-%{version} mkisofs/COPYING mkisofs/ChangeLog mkisofs/README* \
   mkisofs-rpmdocs
chmod 644 mkisofs-rpmdocs/*

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc cdrecord-rpmdocs/*
%config(noreplace) /etc/cdrecord.conf
%{prefix}/bin/cdrecord
%{prefix}/bin/readcd
%{prefix}/bin/devdump
%{prefix}/bin/isoinfo
%{prefix}/bin/isodump
%{prefix}/bin/isovfy
%{prefix}/man/man1/cdrecord.1
%{prefix}/man/man8/isoinfo.8

%files	devel
%defattr(-,root,root)
%{prefix}/lib/libdeflt.a
%{prefix}/lib/libscg.a
%{prefix}/lib/libschily.a
%{prefix}/include/*.h
%{prefix}/include/schily

%files	cdda2wav
%defattr(-,root,root)
%doc cdda2wav-rpmdocs/*
%{prefix}/bin/cdda2wav
%{prefix}/man/man1/cdda2wav.1

%files	mkisofs
%defattr(-,root,root)
%doc mkisofs-rpmdocs/*
%{prefix}/bin/mkisofs
%{prefix}/bin/mkhybrid
%{prefix}/man/man8/mkisofs.8
%{prefix}/man/man8/mkhybrid.8

%changelog
* Thu Jul 20 2000 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.9-1]
- Updated to version 1.9 final. See AN-1.9 for complete changes from 1.8.

* Mon Jul  3 2000 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.9a05-1]
- All:
- scsi_raisedma() disabled on pre-2.2.10 kernels

- Cdrecord:
- Fix for a problem with 99 minute CD's that was present because
  cdrecord was too Read Book compliant.
- Force the user to use -ignsize to allow >= 90 Minutes on CD even
  when the current CD is not in the blank capacity database.

  [cdrecord-1.9a04-1]
- All:
- README.macosX added (needed to know how to compile).
  As Apple deliveres an inconsistent OS, you need to follow the
  instuctions in this README file before you may compile
  cdrtools on Mac OS X.
- libscg restructured
- libscg now handles a problem hat arises on Linux-2.2.10 ??? and newer
  (newer releases before Linux-2.4) where it is already possible to
  raise the DMA limit for the sg driver but there is no SCSI ioctl command.

* Wed Jun 28 2000 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.9a03-1]
- All:
- scsitransp.c split into scsitransp.c and scsi-sun.c
- Fallback code to use the USCSI interface on Solaris
  This should add ATAPI support on Solaris 8 sparc.
  Solaris 8 x86 does support ATAPI with the scg driver
  as Sun fixed the structural bug for thw Intel version.
  Warning: The USCI interface has several drawbacks:
  - Only finds disk type devices with -scanbus
  - Cannot open devices that are currently attached
    to the volume management system
  - The Goldstar ATAPI CD-ROM in a U-10 transfers data
    but the DMA residual count shows that there has
    been no transfer at all.
  Facit: Test by your own if this interface is usable.
  Please report problems!
- Better error mesages for SCSI open in libscg
- Linux code in libscg now tries to use new features of the
  Linus sg driver:
  - Trying to use more then 32 kB for DMA
    The interface for raising the DMA limit from 32 kB
    is a real pain. It needs a lot of code to adopt
    the interface to libscg.
  - Trying to use the new ioctl() interface if present.
    This interface now supports:
    - SCSI CDB sizes for vendor unique commands
    - SCSI status byte
    - SCSI command transport status
    - More than 16 bytes of sense data (not yet working!)
    - DMA residual count (not yet working!)
    - Arbitrary DMA address pointers !!!
  - Trying to use the new RESET ioctl() (not yet working!)
  All items marked (not yet working!) will turn funtional
  after the Linux kernel starts to support them.

  It seems that my shouting for a better SCSI interface succeeded.
  Linux-2.4 supports or at least includes an interface that may support
  the needed things in future.

  As from now it is unclear whether the code will expose
  any portability problems, please test on different Linux
  versions from 2.0 ... 2.4 if available and report problems.

- Cdrecord:
- New manufacturer "Bestdisc Technology Corporation"
  in disk decoder.
- ATIP Decoder now decodes disk sub type for High speed CD-RW
- Firt support for 99 minute CD's.

- Cdda2wav:
- more diagnostics for illegal ISRCs
- use setpriority in favor of nice
- updated cdda2mp3 script for lame usage (alpha)

- Readcd:
- restructured to be more flexible
- Support for C2 error pointer scan with MMC drives & 
  the Plextor U-Plex 40 CD-ROM

- Mkisofs:
- Allow printing of percentage ready without floatingpoint code in printf.
- apple_driver now compiles, but need to call 
  make -f apple_driver.mk by hand
- graft pointers are now really usable:
  - Graft points are now disabled by default
  - To enable, specify the -graft-point option
- Now there is no more a need to specify a command line arg
  if -path-list has been specified.

* Mon Jun  5 2000 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.9a02-1]
- All:
- Many README's udated
- Many typo's corrected in README files.
- portability include files restructured
- new VMS integration update
- Use of SCANSTACK disabled by default
- Now compiles again on MacOS X (the version currently sold)
- New autoconf test for nonstandard sys/select.h include
  that is needed on AIX to use select()

- Cdrecord:
- include sys/select.h if needed (AIX)
- Support for Ricoh 9060 CD-RW/DVD-ROM drive
- Support for Plextor PX-W1210TA (with BURN-Proof)
- Printing of new features added to -prcap function
- New Disk manufacturers:
  "WEALTH FAIR INVESTMENT LIMITE"
  "General Magnetics Ld"
  "MPO"
- Manufacturer decoder simplyfied and unified.
- DAO now should work with pregapsize == 0 when
  using Sony or Goldstar drives.
  Cdrecord retries with pregaps set to 1
- New options -shorttrack & -noshorttrack
  will allow to copy CD's with supershort tracks
  in DAO mode if the drive supports it.
- Fix for a buffer overflow with cdrecord dev=
  This problem did not exist on sparc systems,
  for this reason it has not been detected before.

- Cdda2wav:
- support for cds with illegal leadout (like HIM-CD)
- bugfix for cd-text detection with plextor/Sony command sets
- should compile and run under Mac-OS-X now
- bugfix with the -q (quiet) option
- bugfix use extra libs (like lossaudio for NetBSD)
- bugfix use the correct sound device for Solaris
- hardened cdda2wav against illegal ISRC codes

- Readcd:
- minor bugfixes with timing
- New options -noerror & retries=#

- Mkisofs:
- Now mkhybrid code is completely integrated into mkisofs.	
  There is only one binary. To help users of mkhybrid, 
  make install creates a hard link from mkhybroid to mkisofs.
- man page cleaned up.
- New Option -eltorito-alt-boot allows to specify more
  than one Al Torito boot image (up to 63).
  Thanks to Egor Duda (deo@logos-m.ru).
- fixed a core dump problem in multi.c
- write.c now uses static buffer to circumvent a problem
  with the stone age Metrowerks C found on BeOS/PPC

* Tue May  4 2000 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.9a01-1]
- Cdda2wav:
- integrated the files, Heiko forgot to provide for release 1.8.1

- Mkisofs:
- Now mkhybrid code is completely integrated into mkisofs.	
  There is only one binary. To help users of mkhybrid, 
  make install creates a hard link from mkhybroid to mkisofs.
- man page cleaned up.
